---
title: "Update Intent by Id"
slug: "update-intent-by-id"
updated: 2025-11-06T11:23:20Z
published: 2025-11-06T11:23:20Z
canonical: "api-docs.blinkpayment.co.uk/update-intent-by-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Intent by Id

Patch/api/pay/v1/intents/{intent_id}

		
			

This endpoint allows you to update an existing intent by sending an HTTP PATCH request to the specified URL with the intent ID. The intent can only be changed when it is active.

**Request Parameters**

- `intent_id` (string, required)

**Request Body**

- `amount` (number, optional): Amount of the transaction.
- `return_url` (string, optional ): GET URL to return to after transaction completion.
- `notification_url` (string, optional ): POST URL for transaction notification as the transaction is completed.

**Response Parameters**

- `id` (number): The unique identifier of the intent.
- `payment_intent` (string): The type of payment intent.
- `transaction_type` (string): The type of transaction.
- `expiry_date` (string): The expiry date of the intent.
- `status` (string): The status of the intent.
- `payment_type` (string): The type of payment.
- `currency` (string): The currency of the transaction.
- `amount` (number): The amount of the transaction.
- `return_url` (string): The URL to return to after the transaction.
- `notification_url` (string): The URL for transaction notifications.
- `card_layout` (string): The layout of the card inputs in ccElement and ccMotoElement.
- `element`(object): An object containing specific elements for credit card, moto, and online banking transactions:
  1. `ccElement` (string): Credit card element.
  2. `ccMotoElement` (string): Moto (Mail Order/Telephone Order) element.
  3. `obElement` (string): Open banking element.
  4. `ddElement` (string): Direct debit element.
  5. `gpElement` (string): Google Pay element.
  6. `apElement` (string): Apple Pay element.
- `merchant_id` (number): The identifier of the merchant.
- `transaction_unique` (string): The unique identifier of the transaction.

		
		
SecurityHTTPType bearer

Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c

Path parametersintent_idstringRequired

Body parameters<select class='api-response-data' aria-label='Media type'><option value='d9d999c0-b451-4fc2-8cd0-569e4a67eac7'>application/json</option>
</select>object  Example{
  "notification_url": "https://www.blinkpayment.co.uk/notification",
  "return_url": "https://www.blinkpayment.co.uk/return"
}

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='ee8d71eb-6fda-462b-bc46-0aae2ca3a7a2'>application/json</option>
</select>
